curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/outcomes/summary' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"window": {
"from": "2026-08-31T14:22:05Z",
"to": "2026-08-31T14:22:05Z"
},
"total_count": 1,
"confirmed_count": 1,
"billable_count": 1,
"total_quantity": 1,
"values": [
{
"currency": "USD",
"total_value_minor": 4900,
"confirmed_value_minor": 4900,
"billable_value_minor": 4900
}
],
"by_type": [
{
"outcome_type": "string",
"total_count": 1,
"confirmed_count": 1,
"billable_count": 1,
"total_quantity": 1,
"values": []
}
]
}
Get brand outcome summary
Outcome totals for the brand over the window.
GET
/
v1
/
brands
/
{brand_id}
/
outcomes
/
summary
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/outcomes/summary' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"window": {
"from": "2026-08-31T14:22:05Z",
"to": "2026-08-31T14:22:05Z"
},
"total_count": 1,
"confirmed_count": 1,
"billable_count": 1,
"total_quantity": 1,
"values": [
{
"currency": "USD",
"total_value_minor": 4900,
"confirmed_value_minor": 4900,
"billable_value_minor": 4900
}
],
"by_type": [
{
"outcome_type": "string",
"total_count": 1,
"confirmed_count": 1,
"billable_count": 1,
"total_quantity": 1,
"values": []
}
]
}
Path parameters
string (uuid)
required
Response
object
string (uuid)
required
integer
required
integer
required
integer
required
integer
required
object[]
required
Status codes
| Code | Meaning |
|---|---|
200 | Outcome totals for the brand over the window. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/outcomes/summary' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"window": {
"from": "2026-08-31T14:22:05Z",
"to": "2026-08-31T14:22:05Z"
},
"total_count": 1,
"confirmed_count": 1,
"billable_count": 1,
"total_quantity": 1,
"values": [
{
"currency": "USD",
"total_value_minor": 4900,
"confirmed_value_minor": 4900,
"billable_value_minor": 4900
}
],
"by_type": [
{
"outcome_type": "string",
"total_count": 1,
"confirmed_count": 1,
"billable_count": 1,
"total_quantity": 1,
"values": []
}
]
}
Last modified on August 31, 2026